Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class ScaleHint

    java.lang.Object
      org.deegree.ogcwebservices.wms.capabilities.ScaleHint

    public class ScaleHint

extends Object

Layers may include a element that suggests minimum and maximum scales for which it is appropriate to display this layer. Because WMS output is destined for output devices of arbitrary size and resolution, the usual definition of scale as the ratio of map size to real-world size is not appropriate here. The following definition of Scale Hint is recommended. Consider a hypothetical map with a given Bounding Box, width and height. The central pixel of that map (or the pixel just to the northwest of center) will have some size, which can be expressed as the ground distance in meters of the southwest to northeast diagonal of that pixel. The two values in ScaleHint are the minimum and maximum recommended values of that diagonal. It is recognized that this definition is not geodetically precise, but at the same time the hope is that by including it conventions will develop that can be later specified more clearly.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $
Author:
  Andreas Poth, Markus Schneider

Constructor Summary
`ScaleHint(double min, double max)` constructor initializing the class with the

Method Summary
`double` | `getMax()`
`double` | `getMin()`
`void` | `setMax(double max)` sets the maximum scale for which a layer is defined
`void` | `setMin(double min)` sets the minimum scale for which a layer is defined
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaleHint

    public ScaleHint(double min,
                     double max)

  constructor initializing the class with the

  Parameters:
    `min` -
    `max` -

Method Detail

### getMin

    public double getMin()

  Returns:
    the minimum scale for which a layer is defined

### setMin

    public void setMin(double min)

  sets the minimum scale for which a layer is defined

  Parameters:
    `min` -

### getMax

    public double getMax()

  Returns:
    the maximum scale for which a layer is defined

### setMax

    public void setMax(double max)

  sets the maximum scale for which a layer is defined

  Parameters:
    `max` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org